clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
140.6
140.775
140.95
141.125
141.3
141.475
141.65
141.825
142
142.175
142.35
142.525
142.7
142.875
143.05
143.225
143.4    
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000760307	0.000815672	0.000884648	0.000972258	0.00108638	0.00124011	0.00145695	0.00178379;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000760874	0.000816321	0.000885397	0.000973129	0.0010874	0.00124134	0.00145846	0.00178571;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.00076144	0.000816971	0.000886146	0.000974	0.00108843	0.00124256	0.00145997	0.00178763;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000762007	0.000817621	0.000886895	0.000974872	0.00108946	0.00124379	0.00146148	0.00178955;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000762574	0.000818271	0.000887644	0.000975743	0.00109048	0.00124502	0.00146299	0.00179148;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000763142	0.000818921	0.000888394	0.000976615	0.00109151	0.00124625	0.0014645	0.0017934;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000763709	0.000819571	0.000889144	0.000977487	0.00109253	0.00124748	0.001466	0.00179532;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000764277	0.000820222	0.000889894	0.000978358	0.00109356	0.00124871	0.00146751	0.00179724;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000764845	0.000820873	0.000890643	0.00097923	0.00109459	0.00124994	0.00146902	0.00179916;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000765413	0.000821523	0.000891394	0.000980102	0.00109561	0.00125117	0.00147053	0.00180109;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.00076598	0.000822174	0.000892144	0.000980975	0.00109664	0.0012524	0.00147204	0.00180301;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000766549	0.000822825	0.000892894	0.000981848	0.00109767	0.00125362	0.00147355	0.00180493;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000767117	0.000823476	0.000893645	0.00098272	0.00109869	0.00125485	0.00147506	0.00180686;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000767686	0.000824127	0.000894394	0.000983592	0.00109972	0.00125608	0.00147657	0.00180878;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000768254	0.000824778	0.000895147	0.000984465	0.00110075	0.00125731	0.00147807	0.0018107;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000768823	0.00082543	0.000895897	0.000985338	0.00110177	0.00125854	0.00147958	0.00181262;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000769392	0.000826082	0.000896648	0.000986211	0.0011028	0.00125977	0.00148109	0.00181455];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','p',...
    'MarkerEdgeColor','[0.8500 0.3250 0.0980]',...
    'MarkerFaceColor','[0.8500 0.3250 0.0980]')

zlim([0.0006 0.00191455])
ylim([140.6E9 143.4E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([140.6E9 141E9 141.5E9 142E9 142.5E9 143.0E9 143.4E9])
zticks([0.000758602 0.00095 0.00115 0.00135 0.0016 0.00181455])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - noDoped-20Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_20TaDoped_strainenergy_LLZO_48e.eps
print -dpng Lowload_20TaDoped_strainenergy_LLZO_48e.png